class VgkCardHorizontalModel {
  String key;

  List<VgkCardHorizontalDetailModel> data;

  VgkCardHorizontalModel({
    this.key,
    this.data,
  });

  VgkCardHorizontalModel copyWith({
    String key,
    List<VgkCardHorizontalDetailModel> data,
  }) =>
      VgkCardHorizontalModel(
        key: key ?? this.key,
        data: data ?? this.data,
      );

  factory VgkCardHorizontalModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalModel(
        key: json["key"] == null ? "" : json["key"],
        data: json["data"] == null
            ? []
            : List<VgkCardHorizontalDetailModel>.from(json["data"]
                .map((x) => VgkCardHorizontalDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontalDetailModel {
  String key;

  String value;

  String src;

  List<VgkCardHorizontalSubDetailModel> data;

  VgkCardHorizontalDetailModel({
    this.key,
    this.value,
    this.src,
    this.data,
  });

  VgkCardHorizontalDetailModel copyWith({
    String key,
    String src,
    String value,
    List<VgkCardHorizontalSubDetailModel> data,
  }) =>
      VgkCardHorizontalDetailModel(
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
        data: data ?? this.data,
      );

  factory VgkCardHorizontalDetailModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalDetailModel(
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        value: json["value"] == null ? "" : json["value"],
        data: json["data"] == null
            ? null
            : List<VgkCardHorizontalSubDetailModel>.from(json["data"]
                .map((x) => VgkCardHorizontalSubDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontalSubDetailModel {
  String key;
  String value;
  String src;

  VgkCardHorizontalSubDetailModel({
    this.key,
    this.value,
    this.src,
  });

  VgkCardHorizontalSubDetailModel copyWith({
    String key,
    String src,
    String value,
  }) =>
      VgkCardHorizontalSubDetailModel(
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
      );

  factory VgkCardHorizontalSubDetailModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalSubDetailModel(
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        value: json["value"] == null ? "" : json["value"],
      );
}
