class VgkCardHorizontaWithSubModel {
  VgkCardHorizontaWithSubModel({
    this.title,
    this.details,
  });

  String title;
  List<VgkCardHorizontaWithSubDetailModel> details;

  VgkCardHorizontaWithSubModel copyWith({
    String title,
    List<VgkCardHorizontaWithSubDetailModel> details,
  }) =>
      VgkCardHorizontaWithSubModel(
        title: title ?? this.title,
        details: details ?? this.details,
      );

  factory VgkCardHorizontaWithSubModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontaWithSubModel(
        title: json["title"] == null ? "" : json["title"],
        details: json["details"] == null
            ? []
            : List<VgkCardHorizontaWithSubDetailModel>.from(json["details"]
                .map((x) => VgkCardHorizontaWithSubDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontaWithSubDetailModel {
  VgkCardHorizontaWithSubDetailModel({
    this.range,
    this.info,
    this.head,
    this.vest,
    this.key,
    this.src,
    this.value,
    this.attachements,
  });

  List<VgkHeadModel> range;
  List<VgkHeadModel> info;
  List<VgkHeadModel> head;
  List<VgkHeadModel> vest;
  String key;
  String src;
  String value;
  List<VgkAttachementModel> attachements;

  VgkCardHorizontaWithSubDetailModel copyWith({
    List<VgkHeadModel> range,
    List<VgkHeadModel> info,
    List<VgkHeadModel> head,
    List<VgkHeadModel> vest,
    String key,
    String src,
    List<VgkAttachementModel> attachements,
  }) =>
      VgkCardHorizontaWithSubDetailModel(
        range: range ?? this.range,
        info: info ?? this.info,
        head: head ?? this.head,
        vest: vest ?? this.vest,
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
        attachements: attachements ?? this.attachements,
      );

  factory VgkCardHorizontaWithSubDetailModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardHorizontaWithSubDetailModel(
        range: json["range"] == null
            ? []
            : List<VgkHeadModel>.from(
                json["range"].map((x) => VgkHeadModel.fromMap(x))),
        info: json["info"] == null
            ? []
            : List<VgkHeadModel>.from(
                json["info"].map((x) => VgkHeadModel.fromMap(x))),
        head: json["head"] == null
            ? []
            : List<VgkHeadModel>.from(
                json["head"].map((x) => VgkHeadModel.fromMap(x))),
        vest: json["vest"] == null
            ? []
            : List<VgkHeadModel>.from(
                json["vest"].map((x) => VgkHeadModel.fromMap(x))),
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        value: json["value"] == null ? "" : json["value"],
        attachements: json["attachements"] == null
            ? []
            : List<VgkAttachementModel>.from(json["attachements"]
                .map((x) => VgkAttachementModel.fromMap(x))),
      );
}

class VgkAttachementModel {
  VgkAttachementModel({
    this.key,
    this.value,
    this.src,
  });

  String key;
  String value;
  String src;

  VgkAttachementModel copyWith({
    String key,
    String value,
    String src,
  }) =>
      VgkAttachementModel(
        key: key ?? this.key,
        value: value ?? this.value,
        src: src ?? this.src,
      );

  factory VgkAttachementModel.fromMap(Map<String, dynamic> json) =>
      VgkAttachementModel(
        key: json["key"] == null ? "" : json["key"],
        value: json["value"] == null ? "" : json["value"],
        src: json["src"] == null ? "" : json["src"],
      );
}

class VgkHeadModel {
  VgkHeadModel({
    this.key,
    this.value,
  });

  String key;
  String value;

  VgkHeadModel copyWith({
    String key,
    String value,
  }) =>
      VgkHeadModel(
        key: key ?? this.key,
        value: value ?? this.value,
      );

  factory VgkHeadModel.fromMap(Map<String, dynamic> json) => VgkHeadModel(
        key: json["key"] == null ? "" : json["key"],
        value: json["value"] == null ? "" : json["value"],
      );
}
