import 'package:vgkprogaming/model/vgk-map-detail.dart';
import 'package:vgkprogaming/model/vgk-map-element.dart';

class VgkMapDetailsModel {
  VgkMapDetailsModel({
    this.name,
    this.maps,
    this.data,
  });

  String name;
  List<VgkMapElement> maps;
  List<VgkMapDetail> data;

  VgkMapDetailsModel copyWith({
    String name,
    List<VgkMapElement> maps,
    List<VgkMapDetail> data,
  }) =>
      VgkMapDetailsModel(
        name: name ?? this.name,
        maps: maps ?? this.maps,
        data: data ?? this.data,
      );

  factory VgkMapDetailsModel.fromMap(Map<String, dynamic> json) =>
      VgkMapDetailsModel(
        name: json["name"] == null ? "" : json["name"],
        maps: json["maps"] == null
            ? []
            : List<VgkMapElement>.from(
                json["maps"].map((x) => VgkMapElement.fromMap(x))),
        data: json["data"] == null
            ? []
            : List<VgkMapDetail>.from(
                json["data"].map((x) => VgkMapDetail.fromMap(x))),
      );
}
